import request from '@/utils/request'

// 查询金融资产列表
export function listFinancial(query) {
  return request({
    url: '/asset/financial/list',
    method: 'get',
    params: query
  })
}

// 导出金融资产
export function exportFinancial(query) {
  return request({
    url: '/asset/financial/export',
    method: 'get',
    params: query
  })
}

// 查询金融资产详细
export function getFinancial(id) {
  return request({
    url: '/asset/financial/get/' + id,
    method: 'get'
  })
}

// 新增金融资产
export function addFinancial(data) {
  return request({
    url: '/asset/financial/add',
    method: 'post',
    data: data
  })
}

// 修改金融资产
export function updateFinancial(data) {
  return request({
    url: '/asset/financial/edit',
    method: 'post',
    data: data
  })
}

// 删除金融资产
export function delFinancial(id) {
  return request({
    url: '/asset/financial/remove/' + id,
    method: 'get'
  })
}

